net.sf.jasperreports.engine.fill

## Class JRFillRectangle

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRFillElement
  - - net.sf.jasperreports.engine.fill.JRFillGraphicElement
    - - net.sf.jasperreports.engine.fill.JRFillRectangle

- All Implemented Interfaces:
    java.lang.Cloneable, DynamicPropertiesHolder, JRFillCloneable, JRChild, JRCloneable, JRCommonElement, JRCommonGraphicElement, JRCommonRectangle, JRElement, JRGraphicElement, JRIdentifiable, JRPenContainer, JRPropertiesHolder, JRRectangle, JRStyleContainer, JRStyleSetter, JRVisitable

      public class JRFillRectangle
      extends JRFillGraphicElement
      implements JRRectangle

  Version:
    $Id: JRFillRectangle.java 6770 2013-11-22 14:48:55Z lucianc $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRFillGraphicElement

      `initPen, pen`

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRFillElement

      `band, conditionalStylesContainer, currentEvaluation, currentStyle, defaultStyleProvider, delayedEvaluationsMap, dynamicProperties, dynamicTransferProperties, elementGroup, expressionEvaluator, fillContainerContext, filler, initStyle, mergedProperties, originProvider, parent, printElementOriginator, printWhenGroupChanges, propertyExpressions, providerStyle, staticProperties, styleProviders, templates`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRFillRectangle(JRBaseFiller filler, JRRectangle rectangle, JRFillObjectFactory factory)`
    `protected` | `JRFillRectangle(JRFillRectangle rectangle, JRFillCloneFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collectExpressions(JRExpressionCollector collector)`
    `JRFillCloneable` | `createClone(JRFillCloneFactory factory)` Creates a working clone of itself.
    `protected JRTemplateElement` | `createElementTemplate()`
    `protected void` | `evaluate(byte evaluation)`
    `protected JRPrintElement` | `fill()`
    `protected JRTemplateRectangle` | `getJRTemplateRectangle()`
    `java.lang.Integer` | `getOwnRadius()`
    `int` | `getRadius()` Indicates the corner radius for rectangles with round corners.
    `protected void` | `resolveElement(JRPrintElement element, byte evaluation)` Resolves an element.
    `void` | `setRadius(int radius)` Sets the corner radius for rectangles with round corners.
    `void` | `setRadius(java.lang.Integer radius)`
    `void` | `visit(JRVisitor visitor)`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRFillGraphicElement

      `evaluateStyle, getDefaultLineColor, getDefaultLineWidth, getFillValue, getLinePen, getOwnFillValue, prepare, rewind, setFill`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRFillElement

      `addDependantElement, addDynamicProperty, clone, clone, clone, collectDelayedEvaluations, collectDelayedEvaluations, collectDelayedEvaluations, collectStyleDelayedEvaluations, collectStyleProviderDelayedEvaluations, delayedEvaluate, delayedEvaluationUpdatesTemplate, evaluateExpression, evaluatePrintWhenExpression, evaluateProperties, getBackcolor, getBand, getConditionalStylesContainer, getDefaultStyleProvider, getDependantElements, getDynamicProperties, getElementGroup, getElementOrigin, getElementTemplate, getEvaluatedProperties, getEvaluationTimeValue, getField, getFiller, getForecolor, getGroupElements, getHeight, getInitStyle, getKey, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getParent, getParentProperties, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertiesMap, getPropertyExpressions, getRelativeY, getStretchHeight, getStretchTypeValue, getStyle, getStyleNameReference, getTemplate, getUUID, getVariable, getWidth, getX, getY, hasDynamicProperties, hasDynamicProperty, hasProperties, initDelayedEvaluationPrint, initDelayedEvaluations, initStyleProviders, isAlreadyPrinted, isAutoEvaluateNow, isDelayedStyleEvaluation, isEvaluateAuto, isEvaluateNow, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isPrintWhenExpressionNull, isPrintWhenTrue, isRemoveLineWhenBlank, isReprinted, isToPrint, isValueRepeating, moveDependantElements, performDelayedEvaluation, registerTemplate, reset, resolveElement, setAlreadyPrinted, setBackcolor, setBand, setConditionalStylesContainer, setCurrentEvaluation, setExpressionEvaluator, setForecolor, setHeight, setMode, setOriginProvider, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setPrintWhenExpressionNull, setPrintWhenTrue, setRelativeY, setRemoveLineWhenBlank, setReprinted, setShrinkable, setStretchHeight, setStretchType, setStyle, setStyleNameReference, setToPrint, setValueRepeating, setWidth, setX, setY, stretchElement, stretchElementToHeight, stretchHeightFinal, transferProperties, transferProperties`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElement

      `clone, getElementGroup, getKey, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertyExpressions, getStretchTypeValue, getX, getY, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setWidth, setX`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChild

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonGraphicElement

      `getFillValue, getLinePen, getOwnFillValue, setFill`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getHeight, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPenContainer

      `getDefaultLineColor, getDefaultLineWidth`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

- - ### Constructor Detail

    - #### JRFillRectangle

          protected JRFillRectangle(JRBaseFiller filler,
                         JRRectangle rectangle,
                         JRFillObjectFactory factory)

    - #### JRFillRectangle

          protected JRFillRectangle(JRFillRectangle rectangle,
                         JRFillCloneFactory factory)

  - ### Method Detail

    - #### getRadius

          public int getRadius()

      Description copied from interface: `JRCommonRectangle`
      Indicates the corner radius for rectangles with round corners. The default is 0.
      Specified by:
        `getRadius` in interface `JRCommonRectangle`

    - #### getOwnRadius

          public java.lang.Integer getOwnRadius()

      Specified by:
        `getOwnRadius` in interface `JRCommonRectangle`

    - #### setRadius

          public void setRadius(int radius)

      Description copied from interface: `JRCommonRectangle`
      Sets the corner radius for rectangles with round corners.
      Specified by:
        `setRadius` in interface `JRCommonRectangle`

    - #### setRadius

          public void setRadius(java.lang.Integer radius)

      Specified by:
        `setRadius` in interface `JRCommonRectangle`

    - #### getJRTemplateRectangle

          protected JRTemplateRectangle getJRTemplateRectangle()

    - #### createElementTemplate

          protected JRTemplateElement createElementTemplate()

      Specified by:
        `createElementTemplate` in class `JRFillElement`

    - #### evaluate

          protected void evaluate(byte evaluation)
                           throws JRException

      Specified by:
        `evaluate` in class `JRFillElement`
      Throws:
        `JRException`

    - #### fill

          protected JRPrintElement fill()

      Specified by:
        `fill` in class `JRFillElement`

    - #### collectExpressions

          public void collectExpressions(JRExpressionCollector collector)

      Specified by:
        `collectExpressions` in interface `JRElement`

    - #### visit

          public void visit(JRVisitor visitor)

      Specified by:
        `visit` in interface `JRVisitable`

    - #### resolveElement

          protected void resolveElement(JRPrintElement element,
                            byte evaluation)

      Description copied from class: `JRFillElement`
      Resolves an element.
      Specified by:
        `resolveElement` in class `JRFillElement`
      Parameters:
        `element` - the element
        `evaluation` - the evaluation type

    - #### createClone

          public JRFillCloneable createClone(JRFillCloneFactory factory)

      Description copied from interface: `JRFillCloneable`
      Creates a working clone of itself.
      Specified by:
        `createClone` in interface `JRFillCloneable`
      Parameters:
        `factory` - the clone factory to use while creating the clone
      Returns:
        a working clone of itself

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com